import Request from '../common/request.js';
let request = new Request().http

// 验证码登录
export function loginByCode(data) {
	return request('/app/dockerInfo/login', data, 'POST', 'application/json;charset=UTF-8');
}

// 密码登录
export function loginByPassword(data) {
	return request('/app/dockerInfo/login', data, 'POST', 'application/json;charset=UTF-8');
}

// 发送登录验证码
export function sendLoginVerifyCode(data) {
	return request('/app/dockerInfo/sendSmsCode', data, 'POST');
}

// 微信小程序登录
export function loginByMiniApp(data) {
	return request('/store/app/wx/loginByMiniApp', data, 'POST', 'application/json;charset=UTF-8');
}

// 微信公众号登录
export function loginByMp(data) {
	return request('/store/app/wx/loginByMp', data, 'POST', 'application/json;charset=UTF-8');
}

